Returns a project type by its ID.

GEThttps://api.awork.com/api/v1/projecttypes/{projectTypeId}
GET https://api.awork.com/api/v1/projecttypes/{projectTypeId}

Returns a project type by its ID. The response includes the type's name, icon, and settings.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectTypeIdstringRequired
format: uuid

The id of the project type.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the type.

namestring or nullOptional

The name of the project type.

descriptionstring or nullOptional

A short (max. 140 characters) description of the project type.

iconstring or nullOptional

The identifier of the project type icon.

isArchivedbooleanOptional

Whether this type is archived. It can no longer be used to create projects, but existing projects will continue using it.

isPresetbooleanOptional

Whether this type is one of the preset types. Preset types cannot be edited.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation